module.exports = {
  "env": {
    "node": true,
    "es6": true,
    "mocha": true
  },

  "rules": {

    // Possible errors
    "no-cond-assign": 2,
    "no-console": 0,
    "no-constant-condition": 2,
    "comma-dangle": 0,
    "no-control-regex": 0,
    "no-debugger": 2,
    "no-dupe-keys": 2,
    "no-empty": 1,
    "no-empty-character-class": 2,
    "no-ex-assign": 2,
    "no-extra-boolean-cast": 2,
    "no-extra-semi": 2,
    "no-func-assign": 2,
    "no-invalid-regexp": 2,
    "no-negated-in-lhs": 2,
    "no-obj-calls": 2,
    "no-regex-spaces": 2,
    "no-sparse-arrays": 2,
    "no-unreachable": 0,
    "use-isnan": 2,
    "valid-typeof": 2,

    // Best practices
    "block-scoped-var": 0,
    "complexity": [1, 13],
    "consistent-return": 0,
    "curly": [2, "all"],
    "default-case": 2,
    "dot-notation": 1,
    "eqeqeq": 2,
    "guard-for-in": 2,
    "no-alert": 2,
    "no-caller": 2,
    "no-div-regex": 2,
    "no-else-return": 0,
    "no-eq-null": 2,
    "no-eval": 2,
    "no-extend-native": 2,
    "no-fallthrough": 2,
    "no-floating-decimal": 2,
    "no-implied-eval": 2,
    "no-labels": 2,
    "no-iterator": 2,
    "no-lone-blocks": 2,
    "no-loop-func": 2,
    "no-multi-str": 2,
    "no-native-reassign": 2,
    "no-new": 2,
    "no-new-func": 1,
    "no-new-wrappers": 2,
    "no-octal": 2,
    "no-octal-escape": 2,
    "no-proto": 2,
    "no-redeclare": 2,
    "no-return-assign": 2,
    "no-script-url": 2,
    "no-self-compare": 2,
    "no-sequences": 2,
    "no-unused-expressions": 0,
    "no-warning-comments": [0, {"terms": ["todo", "fixme"], "location": "anywhere"}],
    "no-with": 2,
    "radix": 2,
    "wrap-iife": [2, "outside"],
    "yoda": 2,
    "no-irregular-whitespace": 0,

    // Strict mode
    "strict": [2, "global"],

    // Variables
    "no-catch-shadow": 2,
    "no-delete-var": 2,
    "no-label-var": 2,
    "no-shadow": 2,
    "no-shadow-restricted-names": 2,
    "no-undef": 2,
    "no-undefined": 0,
    "no-undef-init":  2,
    "no-unused-vars": 2,
    "no-use-before-define": 0,

    // Node.js
    "handle-callback-err": 2,
    "no-mixed-requires": 2,
    "no-new-require": 2,
    "no-path-concat": 2,
    "no-process-exit": 0,
    "no-sync": 0,

    // Stylistic issues
    "brace-style": [2, "1tbs", {allowSingleLine: true}],
    "camelcase": [2, {"properties": "never"}],
    "consistent-this": [2, "that"],
    "eol-last": 0,
    "func-names": 0,
    "func-style": 0,
    "new-cap": [2, {
      "capIsNewExceptions": ["Immutable.Map", "Immutable.Set", "Immutable.List"]
    }],
    "new-parens": 0,
    "no-array-constructor": 2,
    "no-lonely-if": 0,
    "no-new-object": 2,
    "no-spaced-func": 2,
    "semi-spacing": 2,
    "no-trailing-spaces": 0,
    "no-underscore-dangle": 0,
    "no-extra-parens": 2,
    "no-mixed-spaces-and-tabs": 2,
    "quotes": [2, "single", "avoid-escape"],
    "semi": 2,
    "keyword-spacing": 2,
    "object-curly-spacing": [2, "never"],
    "array-bracket-spacing": [2, "never"],
    "computed-property-spacing": [2, "never"],
    "space-infix-ops": 2,
    "max-nested-callbacks": [2, 8],
    "wrap-regex": 2,

    // Legacy
    "max-depth": [2, 8],
    "max-len": [1, 100, 2, {"ignoreComments": true, "ignoreUrls": true}],
    "max-params": [1, 13],

    // ES2015
    "arrow-body-style": [2, "as-needed"],
    "arrow-parens": [2, "always"],
    "arrow-spacing": [2, {before: true, after: true}],
    "constructor-super": 2,
    "generator-star-spacing": [2, "both"],
    "no-class-assign": 2,
    "no-const-assign": 2,
    "no-dupe-class-members": 2,
    "no-this-before-super": 2,
    "no-extra-bind": 2
  }
};
