/*
 * NODE SDK for the KATANA(tm) Framework (http://katana.kusanagi.io)
 * Copyright (c) 2016-2018 KUSANAGI S.L. All rights reserved.
 *
 * Distributed under the MIT license
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code
 *
 * @link      https://github.com/kusanagi/katana-sdk-node
 * @license   http://www.opensource.org/licenses/mit-license.php MIT License
 * @copyright Copyright (c) 2016-2018 KUSANAGI S.L. (http://kusanagi.io)
 */

'use strict';

const Mappings = {
  'action': 'a',
  'actions': 'ac',
  'address': 'a',
  'accessible': 'a',
  'attributes': 'a',
  'allow_empty': 'e',
  'arguments': 'a',
  'array_format': 'af',
  'body': 'b',
  'base_path': 'b',
  'call': 'c',
  'callee': 'c',
  'caller': 'C',
  'calls': 'C',
  'client': 'c',
  'deferred_calls': 'dc',
  'remote_calls': 'rc',
  'code': 'c',
  'collection': 'C',
  'is_collection': 'c',
  'is_deprecated': 'D',
  'command': 'c',
  'command_reply': 'cr',
  'data': 'd',
  'datetime': 'd',
  'default_value': 'd',
  'deprecated': 'D',
  'duration': 'D',
  'entity_path': 'e',
  'entity': 'E',
  'enum': 'em',
  'end_time': 'e',
  'errors': 'e',
  'error': 'E',
  'exclusive_maximum': 'ex',
  'exclusive_minimum': 'en',
  'fallback': 'F',
  'fallbacks': 'F',
  'field': 'f',
  'fields': 'F',
  'filename': 'f',
  'files': 'f',
  'file_server': 'f',
  'form_data': 'f',
  'format': 'f',
  'gateway': 'g',
  'http': 'h',
  'header': 'h',
  'headers': 'h',
  'id': 'i',
  'input': 'i',
  'items': 'i',
  'level': 'l',
  'links': 'l',
  'location': 'l',
  'maximum': 'mx',
  'maximum_items': 'xi',
  'maximum_length': 'xl',
  'message': 'm',
  'meta': 'm',
  'method': 'm',
  'mime': 'm',
  'minimum': 'mn',
  'minimum_items': 'ni',
  'minimum_length': 'nl',
  'multiple_of': 'mo',
  'name': 'n',
  'origin': 'o',
  'optional': 'o',
  'param': 'p',
  'params': 'p',
  'path': 'p',
  'path_delimiter': 'p',
  'protocol': 'p',
  'pattern': 'p',
  'post_data': 'p',
  'primary_key': 'k',
  'properties': 'p',
  'query': 'q',
  'relations': 'r',
  'request': 'r',
  'required': 'r',
  'response': 'R',
  'result': 'r',
  'return_value': 'rv',
  'response_return': 'rv',
  'return': 'R',
  'schema': 's',
  'scope': 's',
  'service': 's',
  'size': 's',
  'status': 's',
  'start_time': 's',
  'timeout': 'x',
  'tags': 't',
  'token': 't',
  'transactions': 't',
  'transport': 'T',
  'type': 't',
  'unique_items': 'ui',
  'url': 'u',
  'value': 'v',
  'validate': 'V',
  'version': 'v'
};

module.exports = Mappings;
